OpenMesh::Iterators::GenericCirculator_ValueHandleFnsT< Mesh, CenterEntityHandle, typename Mesh::FaceHandle, CW > Class Template Reference

## Public Types

typedef GenericCirculator_DereferenciabilityCheckT< Mesh, CenterEntityHandle, typename Mesh::FaceHandle > | GenericCirculator_DereferenciabilityCheck

## Static Public Member Functions

static bool | is_valid (const typename Mesh::HalfedgeHandle &heh, const int lap_counter)
static void | init (const Mesh *mesh, typename Mesh::HalfedgeHandle &heh, typename Mesh::HalfedgeHandle &start, int &lap_counter)
static void | increment (const Mesh *mesh, typename Mesh::HalfedgeHandle &heh, typename Mesh::HalfedgeHandle &start, int &lap_counter)
static void | decrement (const Mesh *mesh, typename Mesh::HalfedgeHandle &heh, typename Mesh::HalfedgeHandle &start, int &lap_counter)

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/CirculatorsT.hh